Funnels
Storefront Funnels API endpoints
- GET/checkout/{cart_id}/pre_purchase/fetch
- POST/checkout/{cart_id}/pre_purchase/refresh
- POST/checkout/{cart_id}/pre_purchase/{step_id}/accept
- POST/checkout/{cart_id}/pre_purchase/{step_id}/reject
- GET/checkout/{cart_id}/mid_purchase/fetch
- POST/checkout/{cart_id}/mid_purchase/refresh
- POST/checkout/{cart_id}/mid_purchase/{step_id}/accept
- POST/checkout/{cart_id}/mid_purchase/{step_id}/reject
Get the current pre purchase funnel step.
Path parameters
cart_idRequiredstringCart ID
ReturnsFunnelStep
Pre purchase current funnel step object response
Error responses
400objectThe cart is not active (it is completed or expired) or belongs to another shop.
404objectNo cart with this ID exists.
422objectThe expand query parameter is not an array.
Refresh the funnel progress.
Path parameters
cart_idRequiredstringCart ID
ReturnsFunnelStep
Pre purchase initial funnel step object response
Error responses
400objectThe cart has no funnel attached, is not active (it is completed or expired), or belongs to another shop.
404objectNo cart with this ID exists.
422objectThe expand query parameter is not an array.
Accept the pre purchase funnel step.
Path parameters
cart_idRequiredstringCart ID
step_idRequiredintegerStep ID
Request body
Accept funnel step
offersRequiredobject[]ReturnsCart
Pre purchase next funnel step object response
Error responses
400objectThe request cannot proceed: the step is not a pre purchase offer step of the funnel attached to the cart, or the cart is not active (it is completed or expired) or belongs to another shop (bad_request); or an offered product, bundle item or survey answer is out of stock (out_of_stock).
404objectNo cart or funnel step with this ID exists.
422objectA body field fails validation. offers is missing, not an array, or holds more than one offer for a single offer step. An offer is invalid, for example a one-time product sent with options or survey answers that do not fit the product survey ('The offers.0 is invalid.'). offers.*.product_id is not one of the step offer products in this shop ('The selected offers.0.product_id is invalid.'). offers.*.options.*.question_id or offers.*.options.*.answers is missing. expand is not an array.
Reject the pre purchase funnel step.
Path parameters
cart_idRequiredstringCart ID
step_idRequiredintegerStep ID
Returns
Pre purchase next funnel step object response
Error responses
400objectThe request cannot proceed: the step is not a pre purchase offer step of the funnel attached to the cart, or the cart is not active (it is completed or expired) or belongs to another shop.
404objectNo cart or funnel step with this ID exists.
Get the current mid purchase funnel step.
Path parameters
cart_idRequiredstringCart ID
ReturnsFunnelStep
Mid purchase current funnel step object response
Error responses
400objectThe cart is not active (it is completed or expired) or belongs to another shop.
404objectNo cart with this ID exists.
422objectThe expand query parameter is not an array.
Refresh the funnel progress.
Path parameters
cart_idRequiredstringCart ID
ReturnsFunnelStep
Mid purchase initial funnel step object response
Error responses
400objectThe cart has no funnel attached, is not active (it is completed or expired), or belongs to another shop.
404objectNo cart with this ID exists.
422objectThe expand query parameter is not an array.
Accept the pre purchase funnel step.
Path parameters
cart_idRequiredstringCart ID
step_idRequiredintegerStep ID
Request body
Accept funnel step
offersRequiredobject[]ReturnsCart
Mid purchase next funnel step object response
Error responses
400objectThe request cannot proceed: the step is not a mid purchase offer step of the funnel attached to the cart, or the cart is not active (it is completed or expired) or belongs to another shop (bad_request); or an offered product, bundle item or survey answer is out of stock (out_of_stock).
404objectNo cart or funnel step with this ID exists.
422objectA body field fails validation. offers is missing, not an array, or holds more than one offer for a single offer step. An offer is invalid, for example a one-time product sent with options or survey answers that do not fit the product survey ('The offers.0 is invalid.'). offers.*.product_id is not one of the step offer products in this shop ('The selected offers.0.product_id is invalid.'). offers.*.options.*.question_id or offers.*.options.*.answers is missing. expand is not an array.
Reject the pre purchase funnel step.
Path parameters
cart_idRequiredstringCart ID
step_idRequiredintegerStep ID
Returns
Mid purchase next funnel step object response
Error responses
400objectThe request cannot proceed: the step is not a mid purchase offer step of the funnel attached to the cart, or the cart is not active (it is completed or expired) or belongs to another shop.
404objectNo cart or funnel step with this ID exists.